关于开发中遇到问题处理思路-阿里云开发者社区

开发者社区> 开发与运维> 正文

关于开发中遇到问题处理思路

简介:

问题

当 Apple 推出新版本 Xcode 的时候,编译旧工程有时候会导致一些旧工程无法成功编译,或者成功编译之后也会有各种问题。这里举例说明,并且如何临时避免。当然,我们还是要顺着 Apple 的要求来,临时性解决问题之后还要正面解决问题。

举一反三

当你使用 Xcode6.4 打包工程一帆风顺,并且用户也可以安装使用。此时换成最新版的 Xcode7 进行打包,发现 APP 用不了了。

处理手段

发现错误最重要是不要慌,人一慌就容易失常,手足无措。这个时候不要着急,需要冷静面对。心理自我暗示:不就是不能跑嘛,怕啥。只要是问题,就没有网络解决不了的。是的,我最崇尚有问题没法解决就借助网络(Google、Stack Overflow、Blog, etc)的力量,自己一个人喝闷酒既费时又费力,不但解决不了,还要被挨批。所以万事要冷静。

接下来是我的一些做法:

1、正确的处理方式

确认控制台是否有打印任何提示性信息,一般情况下原本可以运行的程序在高版本不能运行都会打印信息出来。所以我们根据信息排查,自己实在找不出原因,就寻求网络解决。

比如像昨天我发表的那篇iOS9中HTTP协议的变化就是其中一个,我们根据信息找到相应的解决方案。

2、临时处理方式

当出现像刚刚哪种情况的时候,我们如果急着使用,可以放大招。苹果推出每一个新版本的 Xcode 都是向下兼容的,所以一旦在高版本的 Xcode 跑不通,或者运行有问题时。

我们可以选择先用之前旧版本 Xcode 进行编译打包。这样可以使得安装包正常使用。但是这种方式不是永久的,因为随着 Xcode 版本的升高,对打包要求的编译器版本也会越来越高。

结束了?

这只是其中遇到的一种情况,还有很多情况我没有一一列举,也等着我们去发掘补充。

如果你有其他的技巧或者开发过程中有好的应对方案,还请不吝分享给大家,共同进步!


再一次感谢您花费时间阅读这篇文章!

微博: @Danny_吕昌辉
博客: SuperDanny

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

分享:
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

其他文章